### Enumeration

# GtkSource SortFlags

#### Declaration

    flags GtkSource.SortFlags

#### Description

No description available.

#### Members

`GTK_SOURCE_SORT_FLAGS_NONE`

  No flags specified.

  - Value: `0`
  - Available since: 5
`GTK_SOURCE_SORT_FLAGS_CASE_SENSITIVE`

  Case sensitive sort.

  - Value: `1`
  - Available since: 5
`GTK_SOURCE_SORT_FLAGS_REVERSE_ORDER`

  Sort in reverse order.

  - Value: `2`
  - Available since: 5
`GTK_SOURCE_SORT_FLAGS_REMOVE_DUPLICATES`

  Remove duplicates.

  - Value: `4`
  - Available since: 5
`GTK_SOURCE_SORT_FLAGS_FILENAME`

  Improved sorting for filenames.

  see `g_utf8_collate_key_for_filename()`.

  - Value: `8`
  - Available since: 5.16